package ru.nbch.indicsearchservice.repository.bank;

import java.util.Collection;
import java.util.List;
import java.util.Optional;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import ru.nbch.indicsearchservice.model.Settings;

@Mapper
public interface SettingsMapper {
    Optional<Settings> findByName(@Param("name") String name);

    List<Settings> findAllByNames(@Param("names") List<String> names);

    Collection<Settings> findAll();
}
